Skip to content

List this tenant's agents

GET
/v1/agents
curl --request GET \
--url 'https://api.vocapable.com/v1/agents?limit=50' \
--header 'Authorization: Bearer <token>'
limit
Limit
integer
default: 50 >= 1 <= 200
cursor
Any of:
string
created_at
Any of:
string

Filter on created_at. Comma-separated values are OR.

created_at.gte
Any of:
string

Filter on created_at with the gte operator.

created_at.lte
Any of:
string

Filter on created_at with the lte operator.

created_at.gt
Any of:
string

Filter on created_at with the gt operator.

created_at.lt
Any of:
string

Filter on created_at with the lt operator.

created_at.in
Any of:
string

Filter on created_at with the in operator.

status
Any of:
string

Filter on status. Comma-separated values are OR.

status.gte
Any of:
string

Filter on status with the gte operator.

status.lte
Any of:
string

Filter on status with the lte operator.

status.gt
Any of:
string

Filter on status with the gt operator.

status.lt
Any of:
string

Filter on status with the lt operator.

status.in
Any of:
string

Filter on status with the in operator.

use_case
Any of:
string

Filter on use_case. Comma-separated values are OR.

use_case.gte
Any of:
string

Filter on use_case with the gte operator.

use_case.lte
Any of:
string

Filter on use_case with the lte operator.

use_case.gt
Any of:
string

Filter on use_case with the gt operator.

use_case.lt
Any of:
string

Filter on use_case with the lt operator.

use_case.in
Any of:
string

Filter on use_case with the in operator.

Successful Response

Media typeapplication/json
CursorPage[AgentSummary]
object
data
required
Data
Array<object>
AgentSummary

A definition as a list row.

object
id
required
Id
string
name
required
Name
string
use_case
required
Use Case
string
Allowed values: sdr staffing survey reminder custom receptionist recruiting
status
required
Status
string
Allowed values: draft active archived
latest_version
Any of:
integer
stock_voice_id
Any of:
string
voice_profile_id
Any of:
string
knowledge_pack_id
Any of:
string
seeded_from_template_id
Any of:
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
next_cursor
Any of:
string
has_more
Has More
boolean
Example
{
"data": [
{
"use_case": "sdr",
"status": "draft"
}
],
"has_more": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}